Bug 8114 - [PATCH] Named Ranges
Summary: [PATCH] Named Ranges
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-15 15:52 UTC by Libin Roman
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
org\apache\poi\hssf\record\formula (8.05 KB, patch)
2002-04-15 15:53 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record\ (7.85 KB, patch)
2002-04-15 15:53 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record\ (7.48 KB, patch)
2002-04-15 15:54 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\usermodel (6.00 KB, text/plain)
2002-04-15 15:55 UTC, Libin Roman
Details
org\apache\poi\hssf\usermodel (4.68 KB, patch)
2002-04-15 15:55 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record (20.97 KB, patch)
2002-04-15 15:56 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record\formula (1.04 KB, patch)
2002-04-15 15:56 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\util (11.10 KB, patch)
2002-04-15 15:56 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record (790 bytes, patch)
2002-04-15 15:57 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record\formula (6.12 KB, patch)
2002-04-15 15:57 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\record (5.94 KB, patch)
2002-04-15 15:57 UTC, Libin Roman
Details | Diff
org\apache\poi\hssf\model (59.21 KB, patch)
2002-04-15 15:58 UTC, Libin Roman
Details | Diff
new Workbook.patch , please use it (59.73 KB, patch)
2002-04-16 07:22 UTC, Libin Roman
Details | Diff
new HSSFName , fixed a bug with setSheetName, please use it (6.06 KB, patch)
2002-04-18 09:18 UTC, Libin Roman
Details | Diff
Fixed Ptg Records (4.44 KB, application/octet-stream)
2002-04-21 08:35 UTC, Libin Roman
Details
New Patch for ptgs and RangeAddress (9.17 KB, application/octet-stream)
2002-04-21 14:19 UTC, Libin Roman
Details
The All Patch in Zip Archive :)) (35.64 KB, application/octet-stream)
2002-04-21 15:28 UTC, Libin Roman
Details
Fixes for not showing macro names and wrong named ranges (zip) (35.88 KB, application/octet-stream)
2002-04-23 08:57 UTC, Libin Roman
Details
Named Range Uni Test (2.42 KB, text/plain)
2002-04-23 13:34 UTC, Libin Roman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Libin Roman 2002-04-15 15:52:05 UTC
Added A Record and high level classes for reading and manipulating named ranges.
Implemented almost everything to get named range work .
SupBookRecord - have implemented as a dummy record, only for creating new 
ExternSheetRecord
Comment 1 Libin Roman 2002-04-15 15:53:34 UTC
Created attachment 1581 [details]
org\apache\poi\hssf\record\formula
Comment 2 Libin Roman 2002-04-15 15:53:57 UTC
Created attachment 1582 [details]
org\apache\poi\hssf\record\
Comment 3 Libin Roman 2002-04-15 15:54:28 UTC
Created attachment 1583 [details]
org\apache\poi\hssf\record\
Comment 4 Libin Roman 2002-04-15 15:55:03 UTC
Created attachment 1584 [details]
org\apache\poi\hssf\usermodel
Comment 5 Libin Roman 2002-04-15 15:55:44 UTC
Created attachment 1585 [details]
org\apache\poi\hssf\usermodel
Comment 6 Libin Roman 2002-04-15 15:56:04 UTC
Created attachment 1586 [details]
org\apache\poi\hssf\record
Comment 7 Libin Roman 2002-04-15 15:56:25 UTC
Created attachment 1587 [details]
org\apache\poi\hssf\record\formula
Comment 8 Libin Roman 2002-04-15 15:56:45 UTC
Created attachment 1588 [details]
org\apache\poi\hssf\util
Comment 9 Libin Roman 2002-04-15 15:57:11 UTC
Created attachment 1589 [details]
org\apache\poi\hssf\record
Comment 10 Libin Roman 2002-04-15 15:57:30 UTC
Created attachment 1590 [details]
org\apache\poi\hssf\record\formula
Comment 11 Libin Roman 2002-04-15 15:57:52 UTC
Created attachment 1591 [details]
org\apache\poi\hssf\record
Comment 12 Libin Roman 2002-04-15 15:58:18 UTC
Created attachment 1592 [details]
org\apache\poi\hssf\model
Comment 13 Libin Roman 2002-04-16 07:21:34 UTC
Added new patch for Workbook.java with some bug fixes
Comment 14 Libin Roman 2002-04-16 07:22:26 UTC
Created attachment 1597 [details]
new Workbook.patch , please use it
Comment 15 Glen Stampoultzis 2002-04-17 05:51:31 UTC
Just a quick note on submitting patches in the future.  Submitting them 
archived up as one file (a tar or zip) would make it easier to deal with.  
Thanks.
Comment 16 Libin Roman 2002-04-18 09:18:04 UTC
Created attachment 1610 [details]
new HSSFName , fixed a bug with setSheetName, please use it
Comment 17 Andy Oliver 2002-04-20 22:44:40 UTC
I've started trying to integrate this patch, but I do have some issues.  I need
a commitment from the supplier to supply Javadoc, improve the function names
(some of them are utterly meaningless) and conform to the rules set by our
community.  http://jakarta.apache.org/poi/resolutions/res001.html -- I realize
this patch being applied is very important to you.  I need you to demonstrate
that by agreeing to bring this up to spec.  Please don't think we're just
arrogant pricks, its just the project health is 100 times more important to us
than any 1 feature.  I await your response. -Andy
Comment 18 Libin Roman 2002-04-21 08:35:26 UTC
Created attachment 1647 [details]
Fixed Ptg Records
Comment 19 Libin Roman 2002-04-21 14:19:47 UTC
Created attachment 1649 [details]
New Patch for ptgs and RangeAddress
Comment 20 Andy Oliver 2002-04-21 14:48:03 UTC
what kind of file is the latest attachment?
Comment 21 Libin Roman 2002-04-21 15:05:20 UTC
Its rar 
Comment 22 Andy Oliver 2002-04-21 15:24:56 UTC
not to be difficult but I simply don't have rar...and I don't think they even
make it for linux.  Can you submit it again in
tar/tar.gz/gzip/bzip2/zip/arj/macpack format?  I can do any of those. 
(preferably tar.bz2 or tar.gz).  Thanks, -Andy
Comment 23 Libin Roman 2002-04-21 15:28:19 UTC
Created attachment 1650 [details]
The All Patch in Zip Archive :))
Comment 24 Libin Roman 2002-04-23 08:57:35 UTC
Created attachment 1662 [details]
Fixes for not showing macro names and wrong named ranges (zip)
Comment 25 Libin Roman 2002-04-23 13:34:50 UTC
Created attachment 1663 [details]
Named Range Uni Test
Comment 26 Libin Roman 2002-04-23 13:35:18 UTC
What else do I have to send ?

Comment 27 Andy Oliver 2002-04-23 14:26:57 UTC
documentation updates to the how to for example would be nice.
Comment 28 Andy Oliver 2002-04-24 00:10:12 UTC
Can we get unit tests for the Named ranges in general?  
Comment 29 Andy Oliver 2002-04-24 00:20:59 UTC
Hi Libin, Can you send me this:  1 patch file with ALL deltas, 1 zip file with
all new files, including directories, the unit tests in all the correct packages.
Once I get that I'll commit it to the head and we'll go from htere.
Comment 30 Libin Roman 2002-04-24 08:17:38 UTC
I have some new updates, for named ranges. that was made before u did the 
commit.
what should i do ?
Comment 31 Andy Oliver 2002-04-24 12:38:11 UTC
Lets get them sync'd up so that we can just bring this puppy together.  I'd like
to see this in the next pure-development build.
Comment 32 Andy Oliver 2002-04-27 13:20:09 UTC
I applied this branch, please check it against the head.